@charset "UTF-8";

@import "https://use.fontawesome.com/releases/v6.7.2/css/all.css";

/* 共通部分
-----------------------------------------*/


html {
    font-size: 100%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    background-position: center;

    background-image: url(../images/background-img.jpg);

    background-repeat: repeat-y;
    background-size: 100% auto;

    font-family: "Noto+Sans+JP", "YuGothic", "游ゴシック体", sans-serif;
    line-height: 2.0;
    color: #232323;
    margin: 0;
    padding: 0;
    margin-top: 0;
}

*,
*:before,
*:after {
    -webkit-box-sizing: inherit;
    box-sizing: inherit;
    padding: 0;
    margin: 0;
}

.green {
    background-color: #006350;
}

.blue-text {
    color: #0c5a85;
}

.asa-background {
    background-color: #e1d1b355;
}

.icon-black {
    color: #232323;
}

a {
    text-decoration: none;
}

h1 {
    font-size: 32px;
    font-weight: 700;
    font-style: normal;
    margin: 0;
    padding: 0;
    letter-spacing: 0.05em;
}

h2 {
    font-size: 20px;
    font-weight: 600;
    font-style: normal;
    margin: 0;
    padding: 0;
    display: block;
}

h3 {
    font-size: 16px;
    font-weight: 600;
    font-style: normal;
    margin: 0;
    padding: 0;
}

h4 {
    font-size: 16px;
    font-weight: 500;
    font-style: normal;
    margin: 0;
    padding: 0;
}

p {
    font-weight: 400;
    font-style: normal;
    font-size: 14px;
    margin: 0;
    padding: 0;
}

small {
    display: block;
    font-weight: 400;
    font-style: normal;
    font-size: 14px;
    margin: 0;
    padding: 0;
}

span {
    display: inline-block;
}

.separation02 {
    max-width: 100%;
    height: 20px;
}

.separation04 {
    max-width: 100%;
    height: 10vh;
}

.line01 {
    border-bottom: 2px solid #232323;
}

.line02 {
    border-bottom: 4px solid #232323;
}

.line03 {
    border-top: 4px solid #232323;
}

a {
    color: #000;
}





/*左と右を囲う全体のエリア*/
#wrapper {
    width: 100%;
    height: auto;
    max-width: 100%;
    /*position stickyの基点にするため relativeをかける*/

    /*ボックスの折り返し可*/
}

.page-title {
    display: flex;
    justify-content: left;
    align-items: end;
    height: 35vh;
    padding: 1% 4%;
}

.description{
    display: flex;
    flex-direction: column;
    gap:24px;
}

.description img{
    width: 300px;
    height: auto;
}



/*==============作品一覧================================================*/
ol {
    list-style: none;
}

.prettifydiv {
    font-size: 13px;
}

input[type="radio"] {
    position: absolute;
    left: -9999px;
}

.filters {
    text-align: center;
    margin-bottom: 2rem;
}

.filters * {
    display: inline-block;
}




/* フィルタリング  */
[value="All"]:checked~.filters [for="All"],
[value="cat-a"]:checked~.filters [for="cat-a"],
[value="cat-b"]:checked~.filters [for="cat-b"],
[value="cat-c"]:checked~.filters [for="cat-c"],
[value="cat-d"]:checked~.filters [for="cat-d"],
[value="cat-e"]:checked~.filters [for="cat-e"],
[value="cat-f"]:checked~.filters [for="cat-f"] {
    background: #994B8A;
    color: #fff;
}

[value="All"]:checked~.targets [data-category] {
    display: block;
}

[value="cat-a"]:checked~.targets .target:not([data-category~="cat-a"]),
[value="cat-b"]:checked~.targets .target:not([data-category~="cat-b"]),
[value="cat-c"]:checked~.targets .target:not([data-category~="cat-c"]),
[value="cat-d"]:checked~.targets .target:not([data-category~="cat-d"]),
[value="cat-e"]:checked~.targets .target:not([data-category~="cat-e"]),
[value="cat-f"]:checked~.targets .target:not([data-category~="cat-f"]) {
    display: none;

}

/* フィルタリングアニメーション  */
[value="cat-a"]:checked~.targets .target,
[value="cat-b"]:checked~.targets .target,
[value="cat-c"]:checked~.targets .target,
[value="cat-d"]:checked~.targets .target,
[value="cat-e"]:checked~.targets .target,
[value="cat-f"]:checked~.targets .target {
    animation: checked_animation 1.0s ease-in-out both;
}

/* All を追加 */
[value="All"]:checked~.targets [data-category] {
    animation: checked_animation 1.0s ease-in-out both;
}

@keyframes checked_animation {
    0% {
        transform: translate(0, 80px);
        opacity: 1;
    }

    100% {
        transform: translate(0, 0);
        opacity: 1;
    }
}

/*---------*/


.works-index {
    width: 100%;
    max-width: 100%;
    height: auto;
    padding: 2% 4%;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 60px 24px;
    padding: 4% 0;
}

.gallery-box {
    display: flex;
    flex-direction: column;
    min-height: 0;
}

.gallery-box small {
    font-weight: 700;
    padding: 16px 0 8px 0;
}

.gallery-box h2 {
    margin: 0;
    padding: 0;
    letter-spacing: 0.05em;
}

.waku{
    width: 100%;
    max-width: 100%;
    aspect-ratio: 4/3;
border: 4px solid #232323;
    /* 画像のボーダー */
    border-radius: 8px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    transition: .3s ease-in-out;
    transform: scale(1);
}

.gallery img {
    width: 100%;
    max-width: 100%;
    aspect-ratio: 4/3;
    /* 画像の幅 */
    height: auto;
    /* 画像の高さ */
    object-fit: cover;
    /* 画像のアスペクト比を維持 */
    
    /* 画像の影 */
    transform: scale(1);
    transition: 1.8s ease-in-out;
    /*移り変わる速さを変更したい場合はこの数値を変更*/
}

.gallery-box:hover img {
    transform: scale(1.1) translateY(0px);
    /*拡大の値を変更したい場合はこの数値を変更*/
}

.gallery-box:hover .waku{   
    border-radius: 8px;
    transform: scale(1.05) translateY(-16px);
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2);  
}

.wrapper-tag {
    padding: 0 4%;
}

.tag {
    display: flex;
    flex-wrap: wrap;
    gap: 4px 24px;
    padding: 16px 0;
}

.tag-link {
    display: flex;
    align-items: center;
    padding: 0;
    gap: 4px;

    transition: all .6s;
}

.tag-link:hover {
    transform: scale(1.1, 1.1);
}

.tag-link i {
    color: #d17e1d;
}

.tag-link:hover i {
    color: #0c5a85;
}

.tag-link a {
    color: #232323;
    font-weight: 600;
}

.tag-link:hover a {
    color: #0c5a85;
}



/*========= ローディング画面のためのCSS ===============*/
#splash {
    position: fixed;
    width: 100%;
    height: 100%;
    background-image: url(../images/background-img.jpg);
    z-index: 888;
    text-align: center;
    color: #fff;
}

#splash-logo {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/*========= 画面遷移のためのCSS ===============*/

/*画面遷移アニメーション*/
.splashbg {
    display: none;
}

/*bodyにappearクラスがついたら出現*/
body.appear .splashbg {
    display: block;
    content: "";
    position: fixed;
    z-index: 1000;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    transform: scaleX(0);
    background-color: #0c5a85;
    background-image: url(../images/background-img-blue.jpg);
    /*伸びる背景色の設定*/
    animation-name: PageAnime;
    animation-duration: 1.5s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
}

@keyframes PageAnime {
    0% {
        transform-origin: left;
        transform: scaleX(0);
    }

    50% {
        transform-origin: left;
        transform: scaleX(1);
    }

    50.001% {
        transform-origin: right;
    }

    100% {
        transform-origin: right;
        transform: scaleX(0);
    }
}

/*画面遷移の後現れるコンテンツ設定*/
#container {
    opacity: 0;
    /*はじめは透過0に*/
}

/*bodyにappearクラスがついたら出現*/
body.appear #container {
    animation-name: PageAnimeAppear;
    animation-duration: 1.5s;
    animation-delay: 1.0s;
    animation-fill-mode: forwards;
    opacity: 0;
}

@keyframes PageAnimeAppear {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}


/*=====ヘッダー================================================================================
======================================================================*/
/*========= ナビゲーションのためのCSS ===============*/
.logo {
    width: 140px;
    position: fixed;
    z-index: 1001;
    top: 17px;
    left: 1%;
    right: auto;
}

.logo img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

#g-nav {
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position: fixed;
    z-index: 9998;
    /*ナビのスタート位置と形状*/
    top: 0;
    right: -70%;
    width: 198px;
    height: 100vh;
    /*ナビの高さ*/
    background: #0c5a85fb;
    /*動き*/
    transition: all 0.6s;
}

/*アクティブクラスがついたら位置を0に*/
#g-nav.panelactive {
    right: 0;
}

/*ナビゲーション*/
#g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 9999;
    top: 30%;
    left: 116px;
    transform: translate(-50%, -50%);
}

#g-nav ul li {
    font-size: 20px;
    margin-bottom: 20px;
}

/*リストのレイアウト設定*/

#g-nav li {
    list-style: none;
    text-align: left;
}

#g-nav li a {
    text-decoration: none;
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    font-size: 14px;
    font-weight: 700;
}

.icon-link {
    display: flex;
    align-items: center;
    padding: 8px 0;
    gap: 12px;
    width: 160px;
    transition: all .6s;
}

.icon-link:hover {
    transform: scale(1.1, 1.1);
}

.icon-link i {
    color: #fcfaf2;
}

.icon-link:hover i {
    color: #e1d1b3;
}

.icon-link a {
    color: #fcfaf2;
}

.icon-link:hover a {
    color: #e1d1b3;
}

/*========= ボタンのためのCSS ===============*/
.openbtn {
    position: fixed;
    z-index: 9999;
    /*ボタンを最前面に*/
    top: 10px;
    right: 10px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    transition: all .6s;
}

.openbtn:hover {
    transform: scale(1.2, 1.2);
}

/*×に変化*/
.openbtn span {
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 14px;
    height: 4px;
    border-radius: 2px;
    background-color: #000;
    width: 45%;
}

.openbtn span:nth-of-type(1) {
    top: 15px;
}

.openbtn span:nth-of-type(2) {
    top: 23px;
}



.openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
    background-color: #fcfaf2;
}

.openbtn.active span:nth-of-type(2) {
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
    background-color: #fcfaf2;
}

.openbtn.active:hover span:nth-of-type(1) {
    transform: translateY(6px) rotate(-45deg) scale(1.3, 1.3);
}

.openbtn.active:hover span:nth-of-type(2) {
    transform: translateY(-6px) rotate(45deg) scale(1.3, 1.3);
}


/*=====ヘッダー終わり================================================================================
======================================================================*/

/*=====フッター================================================================================
======================================================================*/
.footer {
    width: 100%;
    height: 10vh;
    box-sizing: border-box;

}

.contact {
    width: 100%;
    max-width: 100%;
    padding: 5%;
    height: 90vh;
    text-align: center;
    display: flex;
    justify-content: center;
    background-color: #e1d1b3dd;
    border-bottom: 3px solid #232323;
}

.footer-iconcopy {

    display: flex;
    flex-direction: column;
    justify-content: center;
}

.footer-iconcopy img {
    width: 500px;
    max-width: 100%;
    height: auto;
}

.mail {
    max-width: 100%;
    text-align: center;
    background-color: #fcfaf2;
    border: 3px solid #232323;
    border-radius: 8px;
    padding: 3%;
    transition: ease .6s;
}

.mail a {
    color: #232323;
}

.mail:hover {
    transform: scale(1.1, 1.1);
}

.footer-nav {
    width: 100%;
    max-width: 100%;
    height: 10vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
    background-color: #fcfaf2;
    padding: 0 3%;
}

.footer-list {
    display: flex;
    align-content: center;
    gap: 2em;
    list-style: none;
    text-decoration: none;
}

.footer-list a {
    color: inherit;
    font-weight: 700;
    font-size: 14px;
}

.footer-list a:hover {
    color: #0c5a85;
}

/* 下から */

.fadeUp {
    animation-name: fadeUpAnime;
    animation-duration: 1.5s;
    animation-fill-mode: forwards;
    opacity: 0;
}

@keyframes fadeUpAnime {
    from {
        opacity: 1;
        transform: translateY(100px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.fadeUp-slow {
    animation-name: fadeUpAnime-slow;
    animation-delay: 1.0s;
    animation-duration: 3.0s;
    animation-fill-mode: forwards;
    opacity: 0;
}

@keyframes fadeUpAnime-slow {
    from {
        opacity: 1;
        transform: translateY(80px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}




@media screen and (max-width:768px) {
    h1 {
        font-size: 28px;

    }

    h2 {
        font-size: 16px;

    }

    h3 {
        font-size: 14px;
    }


    h4 {
        font-size: 14px;

    }

    p {
        font-size: 14px;
    }

    small {
        font-size: 12px;
    }

    #wrapper {
        display: block;
        /*display:flex;を解除*/
    }


    #g-nav {
        right: -100%;
        width: 100%;
    }



    /*ナビゲーション*/
    #g-nav ul {
        z-index: 999;
        top: 45%;
        left: 116px;
    }

    .footer-nav {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .footer-list {
        display: flex;
        align-content: center;
        justify-content: space-between;
        gap: 3em;
        margin-bottom: 8px;
        list-style: none;
        text-decoration: none;
    }

    .footer-list a {
        color: inherit;
        font-weight: 700;
        font-size: 12px;
    }

    .page-title {
        height: 35vh;
        padding: 5% 3%;
    }


    /*==============作品一覧================================================*/



    .works-index {
        padding: 10% 3%;
    }

    .gallery {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 32px 12px;
        /* 行と列の隙間を15pxに設定 */
        max-width: 100%;
    }

    .gallery-box {
        width: 100%;
        /* 画像の幅 */
        height: auto;
    }

    .text h2 {
        color: inherit;
    }

    .gallery-box small {
        font-weight: 700;
        line-height: 1.5;
        padding: 8px 0;
        font-size: 12px;
    }

    .gallery-box h2 {
        letter-spacing: 0.03em;
        line-height: 1.5;
        font-size: 14px;

    }

    .waku{
    width: 100%;
    max-width: 100%;
    aspect-ratio: 1/1;
border: 2px solid #232323;
    /* 画像のボーダー */
    border-radius: 8px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    transition: .3s ease-in-out;
    transform: scale(1);


}

    .gallery img {
        width: 100%;
        aspect-ratio: 1/1;
        /* 画像の幅 */
        height: auto;
        /* 画像の高さ */
        object-fit: cover;
        /* 画像のアスペクト比を維持 */
       
        /* 画像の影 */
    }

    .description img{
    width: 175px;
   
}

    .description{
    display: flex;
flex-direction: column;
    align-items: center;
    justify-content: left;
    gap:32px;
}



}